> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/eth/sending-transactions/frontrunning-protection.md).

# Private Transactions

The **`blxr_private_tx`** endpoint allows users to send a single transaction that is added directly to the blocks generated by block builders.\
\
Private txs are automatically enrolled in the BackRunMe service and will pay back searchers a portion of the profit. The endpoint returns a transaction hash.

This service is available via both the **Cloud API** and **Gateway API**.

## Submission Endpoint

* Method: `blxr_private_tx`
* Endpoint: `api.blxrbdn.com` (Cloud API)
* Gateway API Endpoint: `127.0.0.1:28333/ws` (assumes WebSocket port 28333)
* Request type: *`HTTPS,WSS`*

### Parameters

| Parameter                      | Description                                                                                                                                                                                                                                                                                                                                         |
| ------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **`transaction`**              | *\[Mandatory]* Raw transaction bytes without **`0x`** prefix.                                                                                                                                                                                                                                                                                       |
| **`timeout`**                  | *\[Optional]* An integer value that represents the time, in seconds, needed to wait for a Private Transaction to be included in a block. If omitted, it defaults to 0. If **`timeout`** is not 0 and the transaction is not mined after the timeout value, it will be sent publicly. If the **`timeout`** is 0, no public transaction will be sent. |
| **`node_validation`**          | *\[Optional, default: false]* Transaction would be validated by a blockchain node, and Cloud-API returns an error message (e.g. "invalid sender" or "nonce too low") in case the raw transaction byte fails validation check.                                                                                                                       |
| **`priority_fee_refund`**      | \[Optional, default: false] Boolean. Set to `true` to join the [Priority Fee Refund Program](https://docs.bloxroute.com/eth/submit-bundles/priority-fee-refund). Required to receive a refund, together with `refund_recipient`.                                                                                                                    |
| **`refund_recipient`**         | *\[Optional]* A string representing the wallet address to receive refund when `priority_fee_refund` flag is enabled.                                                                                                                                                                                                                                |
| **`backrunme_reward_address`** | *\[Optional]* String – valid ETH address specifying where backrun rewards should be shared - See [Backrunme program](/backrunme-program/overview.md)                                                                                                                                                                                                |

### Example

{% tabs %}
{% tab title="HTTPS - Cloud API" %}

```bash
curl https://api.blxrbdn.com \
    --insecure \
    -X POST \
    -H "Content-Type: application/json" \
    -H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
    -d '{
         "id": "1", 
         "method": "blxr_private_tx", 
         "params": {
            "transaction": "f86b0184...e0b58219"
          }
        }'
```

{% endtab %}

{% tab title="wscat - Cloud API " %}

```bash
wscat -c wss://api.blxrbdn.com/ws --header "Authorization: <YOUR-AUTHORIZATION-HEADER>" --no-check
> {
	"jsonrpc": "2.0", 
	"id": 1, 
	"method": "blxr_private_tx", 
	"params": {
		"transaction": "f86b0184...e0b58219",
		"mev_builders": {
			"bloxroute": "",
			"flashbots": "",
			"beaverbuild": "",
			"all": ""
		}
	}
}
```

{% endtab %}
{% endtabs %}

#### Response

{% tabs %}
{% tab title="Cloud-API" %}

```bash
{
    "jsonrpc": "2.0", 
    "id": "1", 
    "result": "ffd59870844e5...bfa54a69"        
}    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bloxroute.com/eth/sending-transactions/frontrunning-protection.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
